Subject: f2c-960717-0 uploaded to master

From: [email-masked]
Date: Thu, 25 Jul 96 16:10 EDT

This new release fixed some Fortran bugs for me that I wasn't able to track
down until I replaced libf2c.so.2.1 from f2c-960315. I don't know whether
that warrants placing the release into buzz-fixed

I changed a couple of things in passing. Please report problems to me until
the new maintainer takes over.

-----BEGIN PGP SIGNED MESSAGE-----

Date: 25 Jul 96 19:00 UT
Format: 1.6
Distribution: unstable
Urgency: Low
Maintainer: Alan Bain <[email-masked]>
Source: f2c
Version: 960717-0
Binary:  f2c
Architecture:  i386 source
Description: 
 f2c: A Fortran77 to C/C++ translator, plus static & shared libs.
 -  f2c translates Fortran77 (with some extensions) into C, so that it can
 -  then be compiled and run on a system with no Fortran compiler.  The C
 -  files must then be linked against the appropriate libraries.
 -  .
 -  Currently this is more stable than g77, and is the recommended way
 -  to compile Fortran as black box routines.  However source level
 -  debugging facilities are not available.
Changes: 
 Thu Jul 25 10:43:03 1996  Dirk Eddelbuettel  <[email-masked]>
        * interim release coordinated with the new maintainer, Alan Bain,
          based on the netlib sources as of July 25, 1996 which contain
          the f2c release of July 17, 1996
        * debian.rules: added arch=$(shell dpkg --print-architecture)
        * debian.rules: removed -m486 from GCCOPTS, changed to -O2
        * debian.rules: now builts the libI77 and libF77 directories
          in build target out of libi77 and libf77 source files; libI77
          and libF77 are removed by clean target
        * debian.rules: install debian.README as /usr/doc/copyright/$(package)
        * debian.rules: install documentation: f2c.ps, changes, readme
        * debian.rules: install fc script as /usr/bin/fc
        * debian.rules, debian.control: changed to new coding standard
        * source package contains exacr copy of ftp://netlib.att.com/f2c/
          (but the msdos and .cap directories)
Files:
 942e5e9cfcf8dc4c1fb79c7fcc339ed7  380345  devel  -  f2c_960717-0.tar.gz
 c7ebc5e757cedfbc96047b6a15836aad  4385  devel  -  f2c_960717-0.diff.gz
 8bf44d9477915e64ef9f694c53db4524  412706  devel  optional  f2c_960717-0_i386.deb

-- 
Dirk Eddelb"uttel                             http://qed.econ.queensu.ca/~edd